## pentobi 13.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(Pentobi)
set(PENTOBI_VERSION 13.1)
set(PENTOBI_RELEASE_DATE 2017-06-06)

cmake_policy(SET CMP0043 NEW)

include(CheckIncludeFiles)
include(GNUInstallDirs)

option(PENTOBI_BUILD_TESTS "Build unit tests" OFF)
option(PENTOBI_BUILD_GTP "Build GTP interface" OFF)
option(PENTOBI_BUILD_GUI "Build Qt-based GUI" ON)
option(PENTOBI_BUILD_QML "Build QtQuick-based GUI" OFF)
option(PENTOBI_BUILD_KDE_THUMBNAILER "Build thumbnailer for KDE" OFF)

if (PENTOBI_BUILD_KDE_THUMBNAILER AND NOT PENTOBI_BUILD_GUI)
  message(FATAL_ERROR
    "PENTOBI_BUILD_KDE_THUMBNAILER requires PENTOBI_BUILD_GUI=1")
endif()

if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "No build type selected, default to Release")
  set(CMAKE_BUILD_TYPE Release CACHE STRING "" FORCE)
endif()
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DLIBBOARDGAME_DEBUG")

set(CMAKE_CXX_STANDARD 14)
if(CMAKE_COMPILER_IS_GNUCXX OR (CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
  add_compile_options(-ffast-math -Wall -Wextra)
endif()

check_include_files(unistd.h HAVE_UNISTD_H)
check_include_files(sys/times.h HAVE_SYS_TIMES_H)
check_include_files(sys/sysctl.h HAVE_SYS_SYSCTL_H)

if(NOT DEFINED LIBPENTOBI_MCTS_FLOAT_TYPE)
  set(LIBPENTOBI_MCTS_FLOAT_TYPE float)
endif()

if(NOT DEFINED PENTOBI_BOOKS_DIR)
  set(PENTOBI_BOOKS_DIR "${CMAKE_INSTALL_FULL_DATADIR}/pentobi/books")
endif()
if(NOT DEFINED PENTOBI_HELP_DIR)
  set(PENTOBI_HELP_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/help")
endif()
if(NOT DEFINED PENTOBI_TRANSLATIONS)
  set(PENTOBI_TRANSLATIONS "${CMAKE_INSTALL_FULL_DATADIR}/pentobi/translations")
endif()

configure_file(config.h.in config.h)
add_definitions(-DHAVE_CONFIG_H)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

include_directories(${CMAKE_SOURCE_DIR}/src)

if(PENTOBI_BUILD_TESTS)
  enable_testing()
endif()

find_package(Threads)

if(PENTOBI_BUILD_GUI)
  find_package(Qt5Concurrent 5.2 REQUIRED)
  find_package(Qt5Widgets 5.2 REQUIRED)
  find_package(Qt5LinguistTools 5.2 REQUIRED)
  find_package(Qt5Svg 5.2 REQUIRED)
endif()
if(PENTOBI_BUILD_QML)
  find_package(Qt5Concurrent 5.6 REQUIRED)
  find_package(Qt5Qml 5.6 REQUIRED)
  find_package(Qt5Gui 5.6 REQUIRED)
  find_package(Qt5Svg 5.6 REQUIRED)
  find_package(Qt5WebView 5.6 REQUIRED)
endif()

if(UNIX)
  add_custom_target(dist
    COMMAND git archive --prefix=pentobi-${PENTOBI_VERSION}/ HEAD
    | xz -e > ${CMAKE_BINARY_DIR}/pentobi-${PENTOBI_VERSION}.tar.xz
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
endif()

add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(data)
if(WIN32 AND PENTOBI_BUILD_GUI)
  add_subdirectory(windows)
endif()

=== data/CMakeLists.txt ===
if(PENTOBI_BUILD_GUI AND NOT WIN32)

add_custom_target(
  pentobi-64.png ALL
  COMMAND convert ${CMAKE_SOURCE_DIR}/src/pentobi/icons/pentobi-64.svg pentobi-64.png
  DEPENDS ${CMAKE_SOURCE_DIR}/src/pentobi/icons/pentobi-64.svg
  )
add_custom_target(
  application-x-blokus-sgf.png ALL
  COMMAND convert ${CMAKE_CURRENT_SOURCE_DIR}/application-x-blokus-sgf.svg application-x-blokus-sgf.png
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/application-x-blokus-sgf.svg
  )
add_custom_target(
  application-x-blokus-sgf-16.png ALL
  COMMAND convert ${CMAKE_CURRENT_SOURCE_DIR}/application-x-blokus-sgf-16.svg application-x-blokus-sgf-16.png
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/application-x-blokus-sgf-16.svg
  )
add_custom_target(
  application-x-blokus-sgf-32.png ALL
  COMMAND convert ${CMAKE_CURRENT_SOURCE_DIR}/application-x-blokus-sgf-32.svg application-x-blokus-sgf-32.png
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/application-x-blokus-sgf-32.svg
  )
add_custom_target(
  application-x-blokus-sgf-64.png ALL
  COMMAND convert ${CMAKE_CURRENT_SOURCE_DIR}/application-x-blokus-sgf-64.svg application-x-blokus-sgf-64.png
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/application-x-blokus-sgf-64.svg
  )

configure_file(io.sourceforge.pentobi.desktop.in io.sourceforge.pentobi.desktop @ONLY)
configure_file(pentobi.thumbnailer.in pentobi.thumbnailer @ONLY)
configure_file(io.sourceforge.pentobi.appdata.xml.in io.sourceforge.pentobi.appdata.xml @ONLY)
install(FILES ${CMAKE_BINARY_DIR}/src/pentobi/icons/pentobi.png
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps)
install(FILES ${CMAKE_BINARY_DIR}/src/pentobi/icons/pentobi-16.png
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/16x16/apps
  RENAME pentobi.png)
install(FILES ${CMAKE_BINARY_DIR}/src/pentobi/icons/pentobi-32.png
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/32x32/apps
  RENAME pentobi.png)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pentobi-64.png
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/64x64/apps
  RENAME pentobi.png)
install(FILES ${CMAKE_SOURCE_DIR}/src/pentobi/icons/pentobi.svg
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/application-x-blokus-sgf.png
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/mimetypes)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/application-x-blokus-sgf-16.png
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/16x16/mimetypes
  RENAME application-x-blokus-sgf.png)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/application-x-blokus-sgf-32.png
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/32x32/mimetypes
  RENAME application-x-blokus-sgf.png)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/application-x-blokus-sgf-64.png
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/64x64/mimetypes
  RENAME application-x-blokus-sgf.png)
install(FILES application-x-blokus-sgf.svg
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/mimetypes)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.desktop
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pentobi.thumbnailer
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/thumbnailers)
install(FILES pentobi-mime.xml
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/mime/packages)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.appdata.xml
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo)

if(PENTOBI_BUILD_KDE_THUMBNAILER)
  configure_file(io.sourceforge.pentobi.kde-thumbnailer.metainfo.xml.in
    io.sourceforge.pentobi.kde-thumbnailer.metainfo.xml @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.kde-thumbnailer.metainfo.xml
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo)
endif()

endif(PENTOBI_BUILD_GUI AND NOT WIN32)

=== src/libpentobi_base/CMakeLists.txt ===
set(pentobi_base_STAT_SRCS
  BoardConst.h
  BoardConst.cpp
  Board.h
  Board.cpp
  BoardUpdater.h
  BoardUpdater.cpp
  BoardUtil.h
  BoardUtil.cpp
  Book.h
  Book.cpp
  CallistoGeometry.h
  CallistoGeometry.cpp
  Color.h
  Color.cpp
  ColorMap.h
  ColorMove.h
  Game.h
  Game.cpp
  GembloQGeometry.h
  GembloQGeometry.cpp
  GembloQTransform.h
  GembloQTransform.cpp
  Geometry.h
  Grid.h
  Marker.h
  Move.h
  MoveInfo.h
  MoveList.h
  MoveMarker.h
  MovePoints.h
  NexosGeometry.h
  NexosGeometry.cpp
  NodeUtil.h
  NodeUtil.cpp
  PentobiSgfUtil.h
  PentobiSgfUtil.cpp
  PentobiTree.h
  PentobiTree.cpp
  PentobiTreeWriter.h
  PentobiTreeWriter.cpp
  Piece.h
  PieceInfo.h
  PieceInfo.cpp
  PieceMap.h
  PieceTransformsClassic.h
  PieceTransformsClassic.cpp
  PieceTransformsGembloQ.h
  PieceTransformsGembloQ.cpp
  PieceTransforms.h
  PieceTransforms.cpp
  PieceTransformsTrigon.h
  PieceTransformsTrigon.cpp
  PlayerBase.h
  PlayerBase.cpp
  Point.h
  PointList.h
  PointState.h
  PointState.cpp
  PrecompMoves.h
  ScoreUtil.h
  Setup.h
  StartingPoints.h
  StartingPoints.cpp
  SymmetricPoints.h
  SymmetricPoints.cpp
  TreeUtil.h
  TreeUtil.cpp
  TrigonGeometry.h
  TrigonGeometry.cpp
  TrigonTransform.h
  TrigonTransform.cpp
  Variant.h
  Variant.cpp
)

if (PENTOBI_BUILD_GTP)
  set(pentobi_base_STAT_SRCS ${pentobi_base_STAT_SRCS}
    Engine.cpp
    Engine.h
  )
endif()

add_library(pentobi_base STATIC ${pentobi_base_STAT_SRCS})

=== src/libpentobi_gui/CMakeLists.txt ===
set(CMAKE_AUTOMOC TRUE)

set(pentobi_gui_STAT_SRCS
  BoardPainter.h
  BoardPainter.cpp
  ComputerColorDialog.h
  ComputerColorDialog.cpp
  GameInfoDialog.h
  GameInfoDialog.cpp
  GuiBoard.h
  GuiBoard.cpp
  GuiBoardUtil.h
  GuiBoardUtil.cpp
  HelpWindow.h
  HelpWindow.cpp
  InitialRatingDialog.h
  InitialRatingDialog.cpp
  LeaveFullscreenButton.h
  LeaveFullscreenButton.cpp
  LineEdit.h
  LineEdit.cpp
  OrientationDisplay.h
  OrientationDisplay.cpp
  PieceSelector.h
  PieceSelector.cpp
  SameHeightLayout.h
  SameHeightLayout.cpp
  ScoreDisplay.h
  ScoreDisplay.cpp
  Util.h
  Util.cpp
)

set(pentobi_gui_TS
  translations/libpentobi_gui_de.ts
  )

qt5_add_translation(pentobi_gui_QM_SRCS ${pentobi_gui_TS})

add_library(pentobi_gui STATIC
  ${pentobi_gui_STAT_SRCS}
  ${pentobi_gui_RC_SRCS}
  ${pentobi_gui_QM_SRCS})

target_compile_definitions(pentobi_gui PRIVATE
    -DQT_DEPRECATED_WARNINGS
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050900)

target_link_libraries(pentobi_gui Qt5::Widgets)

# Install translation files. If you change the destination, you need to
# update the default for PENTOBI_TRANSLATIONS in the main CMakeLists.txt
install(FILES ${pentobi_gui_QM_SRCS}
  DESTINATION ${CMAKE_INSTALL_DATADIR}/pentobi/translations)

=== src/libpentobi_kde_thumbnailer/CMakeLists.txt ===
# libpentobi_kde_thumbnailer contains the files needed by
# the pentobi_kde_thumbnailer plugin compiled with shared library options
# (usually -fPIC) because this is required for building shared libraries on
# some targets (e.g. x86_64).
#
# The alternative would be to add -fPIC to the global compiler flags even for
# executables but this slows down Pentobi's search by 10% on some targets.
#
# Adding the source files directly to pentobi_kde_thumbnailer/CMakeList.txt is
# not possible because the KDE CMake macros add -fno-exceptions to the
# compiler flags, which causes errors in the Pentobi sources that use
# exceptions (which should be fine as long as no exceptions are thrown
# from the thumbnailer plugin functions).

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_SHARED_LIBRARY_CXX_FLAGS}")

add_library(pentobi_kde_thumbnailer STATIC
  ../libboardgame_util/Assert.cpp
  ../libboardgame_util/Log.cpp
  ../libboardgame_util/StringUtil.cpp
  ../libboardgame_base/StringRep.cpp
  ../libboardgame_sgf/MissingProperty.cpp
  ../libboardgame_sgf/Reader.cpp
  ../libboardgame_sgf/SgfNode.cpp
  ../libboardgame_sgf/SgfTree.cpp
  ../libboardgame_sgf/TreeReader.cpp
  ../libpentobi_base/CallistoGeometry.cpp
  ../libpentobi_base/GembloQGeometry.cpp
  ../libpentobi_base/NexosGeometry.cpp
  ../libpentobi_base/NodeUtil.cpp
  ../libpentobi_base/StartingPoints.cpp
  ../libpentobi_base/TrigonGeometry.cpp
  ../libpentobi_base/Variant.cpp
  ../libpentobi_gui/BoardPainter.cpp
  ../libpentobi_gui/Util.cpp
  ../libpentobi_thumbnail/CreateThumbnail.cpp
)

target_compile_definitions(pentobi_kde_thumbnailer PRIVATE
    -DQT_DEPRECATED_WARNINGS
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050800)

target_link_libraries(pentobi_kde_thumbnailer Qt5::Widgets)

=== src/pentobi/CMakeLists.txt ===
set(CMAKE_AUTOMOC TRUE)

set(pentobi_SRCS
  AnalyzeGameWidget.h
  AnalyzeGameWidget.cpp
  AnalyzeGameWindow.h
  AnalyzeGameWindow.cpp
  AnalyzeSpeedDialog.h
  AnalyzeSpeedDialog.cpp
  Application.h
  Application.cpp
  Main.cpp
  MainWindow.h
  MainWindow.cpp
  RatedGamesList.h
  RatedGamesList.cpp
  RatingDialog.h
  RatingDialog.cpp
  RatingGraph.h
  RatingGraph.cpp
  RatingHistory.h
  RatingHistory.cpp
  ShowMessage.h
  ShowMessage.cpp
  Util.h
  Util.cpp
  pentobi.rc
)

set(pentobi_ICNS
  pentobi.png
  pentobi-16.png
  pentobi-32.png
  pentobi-backward.png
  pentobi-backward-16.png
  pentobi-beginning.png
  pentobi-beginning-16.png
  pentobi-computer-colors.png
  pentobi-computer-colors-16.png
  pentobi-end.png
  pentobi-end-16.png
  pentobi-flip-horizontal.png
  pentobi-flip-vertical.png
  pentobi-forward.png
  pentobi-forward-16.png
  pentobi-newgame.png
  pentobi-newgame-16.png
  pentobi-next-piece.png
  pentobi-next-variation.png
  pentobi-next-variation-16.png
  pentobi-piece-clear.png
  pentobi-play.png
  pentobi-play-16.png
  pentobi-previous-piece.png
  pentobi-previous-variation.png
  pentobi-previous-variation-16.png
  pentobi-rated-game.png
  pentobi-rated-game-16.png
  pentobi-rotate-left.png
  pentobi-rotate-right.png
  pentobi-undo.png
  pentobi-undo-16.png
  )

set(pentobi_TS
  translations/pentobi.ts
  translations/pentobi_de.ts
  )

# Create PNG icons from SVG icons using the helper program src/convert
file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/icons)
file(COPY resources.qrc DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
foreach(icon ${pentobi_ICNS})
  string(REPLACE ".png" ".svg" svgicon ${icon})
  add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/icons/${icon}"
    COMMAND convert  ${CMAKE_CURRENT_SOURCE_DIR}/icons/${svgicon}
      ${CMAKE_CURRENT_BINARY_DIR}/icons/${icon}
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/icons/${svgicon}
  )
endforeach()
qt5_add_resources(pentobi_RC_SRCS ${CMAKE_CURRENT_BINARY_DIR}/resources.qrc
    OPTIONS -no-compress)
file(COPY resources_2x.qrc DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
foreach(icon ${pentobi_ICNS})
string(REPLACE ".png" ".svg" svgicon ${icon})
string(REPLACE ".png" "@2x.png" hdpiicon ${icon})
add_custom_command(
  OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/icons/${hdpiicon}"
  COMMAND convert --hdpi ${CMAKE_CURRENT_SOURCE_DIR}/icons/${svgicon}
    ${CMAKE_CURRENT_BINARY_DIR}/icons/${hdpiicon}
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/icons/${svgicon}
)
endforeach()
qt5_add_resources(pentobi_RC_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/resources_2x.qrc OPTIONS -no-compress)

qt5_add_translation(pentobi_QM_SRCS ${pentobi_TS})

add_executable(pentobi WIN32
  ${pentobi_SRCS}
  ${pentobi_QM_SRCS}
  ${pentobi_RC_SRCS}
  )


if(MINGW AND (CMAKE_SIZEOF_VOID_P EQUAL "4"))
  set_target_properties(pentobi PROPERTIES LINK_FLAGS -Wl,--large-address-aware)
endif()

target_compile_definitions(pentobi PRIVATE
    -DQT_DEPRECATED_WARNINGS
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050900)

target_link_libraries(pentobi
  pentobi_gui
  pentobi_mcts
  pentobi_base
  boardgame_base
  boardgame_sgf
  boardgame_util
  boardgame_sys
  )

target_link_libraries(pentobi Qt5::Widgets Qt5::Concurrent)

if(CMAKE_THREAD_LIBS_INIT)
  target_link_libraries(pentobi ${CMAKE_THREAD_LIBS_INIT})
endif()

install(TARGETS pentobi DESTINATION ${CMAKE_INSTALL_BINDIR})

# Install translation files. If you change the destination, you need to
# update the default for PENTOBI_TRANSLATIONS in the main CMakeLists.txt
install(FILES ${pentobi_QM_SRCS}
  DESTINATION ${CMAKE_INSTALL_DATADIR}/pentobi/translations)

install(DIRECTORY help DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}
  FILES_MATCHING PATTERN "*.css" PATTERN "*.html" PATTERN "*.png" PATTERN "*.jpg")

if(MSVC)
  configure_file(pentobi.conf.in Debug/pentobi.conf @ONLY)
  configure_file(pentobi.conf.in Release/pentobi.conf @ONLY)
else()
  configure_file(pentobi.conf.in pentobi.conf @ONLY)
endif()

=== src/pentobi_qml/CMakeLists.txt ===
set(CMAKE_AUTOMOC TRUE)

include_directories(${CMAKE_SOURCE_DIR}/src)

set(pentobi_qml_SRCS
  AnalyzeGameModel.h
  AnalyzeGameModel.cpp
  GameModel.h
  GameModel.cpp
  HelpFileExtractor.h
  HelpFileExtractor.cpp
  Main.cpp
  PieceModel.h
  PieceModel.cpp
  PlayerModel.h
  PlayerModel.cpp
  RatingModel.h
  RatingModel.cpp
)

set(pentobi_qml_QRC
    resources.qrc
    qml/themes/theme_dark.qrc
    qml/themes/theme_light.qrc
    qml/themes/theme_shared.qrc
    ../books/pentobi_books.qrc
    )
if (${CMAKE_SYSTEM_NAME} MATCHES "Android")
    set(pentobi_qml_QRC ${pentobi_qml_QRC}
        ../pentobi/help.qrc
        )
endif()

qt5_add_resources(pentobi_qml_RC_SRCS ${pentobi_qml_QRC})

add_executable(pentobi_qml WIN32
  ${pentobi_qml_SRCS}
  ${pentobi_qml_RC_SRCS}
)

target_compile_definitions(pentobi_qml PRIVATE
    -DQT_DEPRECATED_WARNINGS
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050800)

target_link_libraries(pentobi_qml
  pentobi_mcts
  pentobi_base
  boardgame_base
  boardgame_sgf
  boardgame_util
  boardgame_sys
)

qt5_use_modules(pentobi_qml Concurrent Gui Qml Svg WebView)

if(CMAKE_THREAD_LIBS_INIT)
  target_link_libraries(pentobi_qml ${CMAKE_THREAD_LIBS_INIT})
endif()

if(MSVC)
  configure_file(pentobi.conf.in Debug/pentobi.conf @ONLY)
  configure_file(pentobi.conf.in Release/pentobi.conf @ONLY)
else()
  configure_file(pentobi.conf.in pentobi.conf @ONLY)
endif()

=== debian/changelog ===
pentobi (13.1-1) unstable; urgency=medium

  * New upstream release.
    - Update debian/*.install for new AppStream metainfo locations.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Update homepage address.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Tue, 04 Jul 2017 20:51:47 +0300

=== debian/control ===
Source: pentobi
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Dean Evans <dean@codemonkies.net>,
           Juhani Numminen <juhaninumminen0@gmail.com>
Build-Depends: cmake,
               debhelper (>= 10),
               extra-cmake-modules,
               libkf5kio-dev | kio-dev,
               libqt5svg5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.0.0
Homepage: https://pentobi.sourceforge.io
Vcs-Git: https://anonscm.debian.org/git/pkg-games/pentobi.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-games/pentobi.git

Package: pentobi
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: pentobi-kde-thumbnailer
Description: clone of the strategy board game Blokus
 Pentobi is a strategy board game played on a square grid board using playing
 pieces in the shapes of polyominoes, similar to Tetris pieces.  The aim of the
 game is to place all of your pieces while trying to block your opponent from
 placing all of theirs.
 .
 The game ends when no one can place any more pieces and the winner is
 determined by calculating the score based on the points of any remaining
 playing pieces. Bonus points are added for playing every piece and additional
 bonus points are added if the monomino, the 1x1 square piece, is played last.

Package: pentobi-kde-thumbnailer
Architecture: any
Multi-Arch: same
Section: kde
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: dolphin
Description: clone of the strategy board game Blokus - KDE thumbnailer
 Pentobi is a strategy board game played on a square grid board using playing
 pieces in the shapes of polyominoes, similar to Tetris pieces.  The aim of the
 game is to place all of your pieces while trying to block your opponent from
 placing all of theirs.
 .
 This package contains a KDE plugin to display thumbnails of Pentobi game files.

## pentobi 14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.1.0)
 
 project(Pentobi)
-set(PENTOBI_VERSION 13.1)
-set(PENTOBI_RELEASE_DATE 2017-06-06)
+set(PENTOBI_VERSION 14.0)
+set(PENTOBI_RELEASE_DATE 2017-10-26)
 
 cmake_policy(SET CMP0043 NEW)
 
@@ -62,10 +62,10 @@
 find_package(Threads)
 
 if(PENTOBI_BUILD_GUI)
-  find_package(Qt5Concurrent 5.2 REQUIRED)
-  find_package(Qt5Widgets 5.2 REQUIRED)
-  find_package(Qt5LinguistTools 5.2 REQUIRED)
-  find_package(Qt5Svg 5.2 REQUIRED)
+  find_package(Qt5Concurrent 5.6 REQUIRED)
+  find_package(Qt5Widgets 5.6 REQUIRED)
+  find_package(Qt5LinguistTools 5.6 REQUIRED)
+  find_package(Qt5Svg 5.6 REQUIRED)
 endif()
 if(PENTOBI_BUILD_QML)
   find_package(Qt5Concurrent 5.6 REQUIRED)
@@ -85,7 +85,4 @@
 add_subdirectory(doc)
 add_subdirectory(src)
 add_subdirectory(data)
-if(WIN32 AND PENTOBI_BUILD_GUI)
-  add_subdirectory(windows)
-endif()

=== src/CMakeLists.txt ===
add_subdirectory(books)
add_subdirectory(libboardgame_sys)
add_subdirectory(libboardgame_util)
add_subdirectory(libboardgame_sgf)
add_subdirectory(libboardgame_base)
add_subdirectory(libboardgame_mcts)
add_subdirectory(libpentobi_base)
add_subdirectory(libpentobi_mcts)

if (PENTOBI_BUILD_GTP)
  add_subdirectory(libboardgame_gtp)
  add_subdirectory(pentobi_gtp)
  if(HAVE_UNISTD_H AND NOT(WIN32))
    add_subdirectory(twogtp)
  else()
    message(STATUS "Not building twogtp, needs POSIX")
  endif()
  add_subdirectory(learn_tool)
endif()

if (PENTOBI_BUILD_TESTS)
  add_subdirectory(libboardgame_test)
  add_subdirectory(libboardgame_test_main)
  add_subdirectory(unittest)
endif()

if (PENTOBI_BUILD_GUI)
  add_subdirectory(convert)
  add_subdirectory(libpentobi_gui)
  add_subdirectory(libpentobi_thumbnail)
  add_subdirectory(pentobi_thumbnailer)
  add_subdirectory(pentobi)
  if(PENTOBI_BUILD_KDE_THUMBNAILER)
    add_subdirectory(libpentobi_kde_thumbnailer)
    add_subdirectory(pentobi_kde_thumbnailer)
  endif()
endif()

if (PENTOBI_BUILD_QML)
  add_subdirectory(pentobi_qml)
endif()

=== src/libboardgame_util/CMakeLists.txt ===
add_library(boardgame_util STATIC
  Abort.h
  Abort.cpp
  ArrayList.h
  Assert.h
  Assert.cpp
  Barrier.h
  Barrier.cpp
  CpuTimeSource.h
  CpuTimeSource.cpp
  FmtSaver.h
  IntervalChecker.h
  IntervalChecker.cpp
  Log.h
  Log.cpp
  MathUtil.h
  Options.h
  Options.cpp
  RandomGenerator.h
  RandomGenerator.cpp
  Range.h
  Statistics.h
  StringUtil.h
  StringUtil.cpp
  TimeIntervalChecker.h
  TimeIntervalChecker.cpp
  Timer.h
  Timer.cpp
  TimeSource.h
  TimeSource.cpp
  Unused.h
  WallTimeSource.h
  WallTimeSource.cpp
)

=== src/pentobi_qml/CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 
 target_compile_definitions(pentobi_qml PRIVATE
     -DQT_DEPRECATED_WARNINGS
-    -DQT_DISABLE_DEPRECATED_BEFORE=0x050800)
+    -DQT_DISABLE_DEPRECATED_BEFORE=0x050900)
 
 target_link_libraries(pentobi_qml
   pentobi_mcts
@@ -49,13 +49,13 @@
   boardgame_sgf
   boardgame_util
   boardgame_sys
+  Qt5::Concurrent
+  Qt5::Gui
+  Qt5::Qml
+  Qt5::Svg
+  Qt5::WebView
+  Threads::Threads
 )
-
-qt5_use_modules(pentobi_qml Concurrent Gui Qml Svg WebView)
-
-if(CMAKE_THREAD_LIBS_INIT)
-  target_link_libraries(pentobi_qml ${CMAKE_THREAD_LIBS_INIT})
-endif()
 
 if(MSVC)
   configure_file(pentobi.conf.in Debug/pentobi.conf @ONLY)

=== src/pentobi_thumbnailer/CMakeLists.txt ===
set(pentobi_thumbnailer_SRCS Main.cpp)

add_executable(pentobi-thumbnailer Main.cpp)

target_link_libraries(pentobi-thumbnailer
  pentobi_thumbnail
  pentobi_gui
  pentobi_base
  boardgame_base
  boardgame_sgf
  boardgame_util
  boardgame_sys
  )

target_link_libraries(pentobi-thumbnailer Qt5::Widgets)

install(TARGETS pentobi-thumbnailer DESTINATION ${CMAKE_INSTALL_BINDIR})

=== src/unittest/libpentobi_base/CMakeLists.txt ===
add_executable(unittest_libpentobi_base
  BoardConstTest.cpp
  BoardTest.cpp
  BoardUpdaterTest.cpp
  GameTest.cpp
  PentobiTreeTest.cpp
  PentobiSgfUtilTest.cpp
)

target_link_libraries(unittest_libpentobi_base
  boardgame_test_main
  pentobi_base
  boardgame_base
  boardgame_sgf
  boardgame_test
  boardgame_util
  boardgame_sys
  )

add_test(libpentobi_base unittest_libpentobi_base)

=== debian/changelog ===
pentobi (14.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.1, no changes needed.
  * Add Rules-Requires-Root: no.
  * Make an 'empty' override target actually empty, so that dh does not
    call debian/rules unnecessarily.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Wed, 29 Nov 2017 09:31:38 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
                libqt5svg5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.0.0
+Rules-Requires-Root: no
+Standards-Version: 4.1.1
 Homepage: https://pentobi.sourceforge.io
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/pentobi.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-games/pentobi.git

## pentobi 14.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.1.0)
 
 project(Pentobi)
-set(PENTOBI_VERSION 14.0)
-set(PENTOBI_RELEASE_DATE 2017-10-26)
+set(PENTOBI_VERSION 14.1)
+set(PENTOBI_RELEASE_DATE 2018-01-03)
 
 cmake_policy(SET CMP0043 NEW)
 
@@ -68,11 +68,11 @@
   find_package(Qt5Svg 5.6 REQUIRED)
 endif()
 if(PENTOBI_BUILD_QML)
-  find_package(Qt5Concurrent 5.6 REQUIRED)
-  find_package(Qt5Qml 5.6 REQUIRED)
-  find_package(Qt5Gui 5.6 REQUIRED)
-  find_package(Qt5Svg 5.6 REQUIRED)
-  find_package(Qt5WebView 5.6 REQUIRED)
+  find_package(Qt5Concurrent 5.7 REQUIRED)
+  find_package(Qt5Qml 5.7 REQUIRED)
+  find_package(Qt5Gui 5.7 REQUIRED)
+  find_package(Qt5Svg 5.7 REQUIRED)
+  find_package(Qt5WebView 5.7 REQUIRED)
 endif()
 
 if(UNIX)

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -1,40 +1,31 @@
 if(PENTOBI_BUILD_GUI AND NOT WIN32)
 
-add_custom_target(
-  pentobi-64.png ALL
-  COMMAND convert ${CMAKE_SOURCE_DIR}/src/pentobi/icons/pentobi-64.svg pentobi-64.png
-  DEPENDS ${CMAKE_SOURCE_DIR}/src/pentobi/icons/pentobi-64.svg
-  )
-add_custom_target(
-  application-x-blokus-sgf.png ALL
-  COMMAND convert ${CMAKE_CURRENT_SOURCE_DIR}/application-x-blokus-sgf.svg application-x-blokus-sgf.png
-  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/application-x-blokus-sgf.svg
-  )
-add_custom_target(
-  application-x-blokus-sgf-16.png ALL
-  COMMAND convert ${CMAKE_CURRENT_SOURCE_DIR}/application-x-blokus-sgf-16.svg application-x-blokus-sgf-16.png
-  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/application-x-blokus-sgf-16.svg
-  )
-add_custom_target(
-  application-x-blokus-sgf-32.png ALL
-  COMMAND convert ${CMAKE_CURRENT_SOURCE_DIR}/application-x-blokus-sgf-32.svg application-x-blokus-sgf-32.png
-  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/application-x-blokus-sgf-32.svg
-  )
-add_custom_target(
-  application-x-blokus-sgf-64.png ALL
-  COMMAND convert ${CMAKE_CURRENT_SOURCE_DIR}/application-x-blokus-sgf-64.svg application-x-blokus-sgf-64.png
-  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/application-x-blokus-sgf-64.svg
-  )
+foreach(icon application-x-blokus-sgf application-x-blokus-sgf-16
+	application-x-blokus-sgf-32 application-x-blokus-sgf-64)
+  set(icon_svg "${CMAKE_CURRENT_SOURCE_DIR}/${icon}.svg")
+  set(icon_png "${CMAKE_CURRENT_BINARY_DIR}/${icon}.png")
+  add_custom_command(OUTPUT "${icon_png}"
+    COMMAND convert "${icon_svg}" "${icon_png}" DEPENDS "${icon_svg}")
+  list(APPEND png_icons "${icon_png}")
+endforeach()
+foreach(icon pentobi pentobi-16 pentobi-32 pentobi-64)
+  set(icon_svg "${CMAKE_SOURCE_DIR}/src/pentobi/icons/${icon}.svg")
+  set(icon_png "${CMAKE_CURRENT_BINARY_DIR}/${icon}.png")
+  add_custom_command(OUTPUT "${icon_png}"
+    COMMAND convert "${icon_svg}" "${icon_png}" DEPENDS "${icon_svg}")
+  list(APPEND png_icons "${icon_png}")
+endforeach()
+add_custom_target(data_icons ALL DEPENDS ${png_icons})
 
 configure_file(io.sourceforge.pentobi.desktop.in io.sourceforge.pentobi.desktop @ONLY)
 configure_file(pentobi.thumbnailer.in pentobi.thumbnailer @ONLY)
 configure_file(io.sourceforge.pentobi.appdata.xml.in io.sourceforge.pentobi.appdata.xml @ONLY)
-install(FILES ${CMAKE_BINARY_DIR}/src/pentobi/icons/pentobi.png
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pentobi.png
   DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps)
-install(FILES ${CMAKE_BINARY_DIR}/src/pentobi/icons/pentobi-16.png
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pentobi-16.png
   DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/16x16/apps
   RENAME pentobi.png)
-install(FILES ${CMAKE_BINARY_DIR}/src/pentobi/icons/pentobi-32.png
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pentobi-32.png
   DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/32x32/apps
   RENAME pentobi.png)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pentobi-64.png

=== src/books/CMakeLists.txt ===
# Install the opening book files. If you change the destination, you need to
# update the default for PENTOBI_BOOKS_DIR in the main CMakeLists.txt
install(FILES
  book_callisto.blksgf
  book_callisto_2.blksgf
  book_callisto_3.blksgf
  book_classic.blksgf
  book_classic_2.blksgf
  book_classic_3.blksgf
  book_duo.blksgf
  book_gembloq.blksgf
  book_gembloq_2.blksgf
  book_gembloq_2_4.blksgf
  book_gembloq_3.blksgf
  book_junior.blksgf
  book_nexos.blksgf
  book_nexos_2.blksgf
  book_trigon.blksgf
  book_trigon_2.blksgf
  book_trigon_3.blksgf
  DESTINATION ${CMAKE_INSTALL_DATADIR}/pentobi/books)

=== src/learn_tool/CMakeLists.txt ===
add_executable(learn-tool Main.cpp)

target_link_libraries(learn-tool
  pentobi_mcts
  pentobi_base
  boardgame_base
  boardgame_sgf
  boardgame_util
  Threads::Threads
)

=== src/libboardgame_base/CMakeLists.txt ===
add_library(boardgame_base STATIC
  CoordPoint.h
  CoordPoint.cpp
  Engine.h
  Engine.cpp
  Geometry.h
  GeometryUtil.h
  Grid.h
  Marker.h
  Point.h
  PointTransform.h
  Rating.h
  Rating.cpp
  RectGeometry.h
  RectTransform.h
  RectTransform.cpp
  StringRep.h
  StringRep.cpp
  Transform.h
)

=== src/libboardgame_mcts/CMakeLists.txt ===
# This library contains only header files with templates. The empty target
# exists only to add the headers to IDE project files.
add_custom_target(boardgame_mcts SOURCES
  Atomic.h
  LastGoodReply.h
  Node.h
  PlayerMove.h
  SearchBase.h
  Tree.h
  TreeUtil.h
)

=== src/libboardgame_sgf/CMakeLists.txt ===
add_library(boardgame_sgf STATIC
  Reader.h
  Reader.cpp
  SgfError.h
  SgfError.cpp
  SgfNode.h
  SgfNode.cpp
  SgfTree.h
  SgfTree.cpp
  SgfUtil.h
  SgfUtil.cpp
  TreeReader.h
  TreeReader.cpp
  TreeWriter.h
  TreeWriter.cpp
  Writer.h
  Writer.cpp
)

=== src/libboardgame_test/CMakeLists.txt ===
add_library(boardgame_test STATIC
  Test.h
  Test.cpp
)

=== src/libpentobi_base/CMakeLists.txt ===
--- 
+++ 
@@ -48,7 +48,6 @@
   PieceTransformsGembloQ.h
   PieceTransformsGembloQ.cpp
   PieceTransforms.h
-  PieceTransforms.cpp
   PieceTransformsTrigon.h
   PieceTransformsTrigon.cpp
   PlayerBase.h

=== src/libpentobi_gui/CMakeLists.txt ===
--- 
+++ 
@@ -39,7 +39,6 @@
 
 add_library(pentobi_gui STATIC
   ${pentobi_gui_STAT_SRCS}
-  ${pentobi_gui_RC_SRCS}
   ${pentobi_gui_QM_SRCS})
 
 target_compile_definitions(pentobi_gui PRIVATE

=== src/libpentobi_kde_thumbnailer/CMakeLists.txt ===
--- 
+++ 
@@ -19,8 +19,8 @@
   ../libboardgame_util/Log.cpp
   ../libboardgame_util/StringUtil.cpp
   ../libboardgame_base/StringRep.cpp
-  ../libboardgame_sgf/MissingProperty.cpp
   ../libboardgame_sgf/Reader.cpp
+  ../libboardgame_sgf/SgfError.cpp
   ../libboardgame_sgf/SgfNode.cpp
   ../libboardgame_sgf/SgfTree.cpp
   ../libboardgame_sgf/TreeReader.cpp
@@ -38,6 +38,6 @@
 
 target_compile_definitions(pentobi_kde_thumbnailer PRIVATE
     -DQT_DEPRECATED_WARNINGS
-    -DQT_DISABLE_DEPRECATED_BEFORE=0x050800)
+    -DQT_DISABLE_DEPRECATED_BEFORE=0x050900)
 
 target_link_libraries(pentobi_kde_thumbnailer Qt5::Widgets)

=== src/libpentobi_mcts/CMakeLists.txt ===
add_library(pentobi_mcts STATIC
  AnalyzeGame.h
  AnalyzeGame.cpp
  Float.h
  History.h
  History.cpp
  LocalPoints.h
  LocalPoints.cpp
  Player.h
  Player.cpp
  PlayoutFeatures.h
  PriorKnowledge.h
  PriorKnowledge.cpp
  SearchParamConst.h
  SharedConst.h
  SharedConst.cpp
  Search.h
  Search.cpp
  State.h
  State.cpp
  StateUtil.h
  StateUtil.cpp
  Util.h
  Util.cpp
)

=== debian/changelog ===
pentobi (14.1-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years.
  * Upgrade to dh compat level 11.
  * Drop alternative Build-Depends on kio-dev, which is an old name and
    not needed any more.
  * Update Vcs-Git and Vcs-Browser to salsa.debian.org.
  * Declare compliance with Policy 4.1.3. No changes needed.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Thu, 11 Jan 2018 21:53:32 +0200

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Uploaders: Dean Evans <dean@codemonkies.net>,
            Juhani Numminen <juhaninumminen0@gmail.com>
 Build-Depends: cmake,
-               debhelper (>= 10),
+               debhelper (>= 11),
                extra-cmake-modules,
-               libkf5kio-dev | kio-dev,
+               libkf5kio-dev,
                libqt5svg5-dev,
                qttools5-dev,
                qttools5-dev-tools
 Rules-Requires-Root: no
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: https://pentobi.sourceforge.io
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/pentobi.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-games/pentobi.git
+Vcs-Git: https://salsa.debian.org/games-team/pentobi.git
+Vcs-Browser: https://salsa.debian.org/games-team/pentobi
 
 Package: pentobi
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Optimize with O3 to make the computationally expensive higher levels faster.
ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
  export DEB_CXXFLAGS_MAINT_APPEND = -O3
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_BINDIR=/usr/games \
		-DCMAKE_INSTALL_DATADIR=/usr/share/games \
		-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
		-DPENTOBI_BUILD_KDE_THUMBNAILER=ON \
		-DPENTOBI_BUILD_TESTS=ON

override_dh_installchangelogs:
	dh_installchangelogs NEWS

# dh_makeshlibs not needed, the KDE thumbnailer .so file is a plugin.
override_dh_makeshlibs:

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
http://sf.net/@PACKAGE@/ @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## pentobi 16.2

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
-if(PENTOBI_BUILD_GUI AND NOT WIN32)
+if(PENTOBI_BUILD_GUI)
 
 foreach(icon application-x-blokus-sgf application-x-blokus-sgf-16
-	application-x-blokus-sgf-32 application-x-blokus-sgf-64)
+        application-x-blokus-sgf-32 application-x-blokus-sgf-64)
   set(icon_svg "${CMAKE_CURRENT_SOURCE_DIR}/${icon}.svg")
   set(icon_png "${CMAKE_CURRENT_BINARY_DIR}/${icon}.png")
   add_custom_command(OUTPUT "${icon_png}"
@@ -9,7 +9,7 @@
   list(APPEND png_icons "${icon_png}")
 endforeach()
 foreach(icon pentobi pentobi-16 pentobi-32 pentobi-64)
-  set(icon_svg "${CMAKE_SOURCE_DIR}/src/pentobi/icons/${icon}.svg")
+  set(icon_svg "${CMAKE_SOURCE_DIR}/src/icon/${icon}.svg")
   set(icon_png "${CMAKE_CURRENT_BINARY_DIR}/${icon}.png")
   add_custom_command(OUTPUT "${icon_png}"
     COMMAND convert "${icon_svg}" "${icon_png}" DEPENDS "${icon_svg}")
@@ -18,7 +18,6 @@
 add_custom_target(data_icons ALL DEPENDS ${png_icons})
 
 configure_file(io.sourceforge.pentobi.desktop.in io.sourceforge.pentobi.desktop @ONLY)
-configure_file(pentobi.thumbnailer.in pentobi.thumbnailer @ONLY)
 configure_file(io.sourceforge.pentobi.appdata.xml.in io.sourceforge.pentobi.appdata.xml @ONLY)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pentobi.png
   DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps)
@@ -31,7 +30,7 @@
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pentobi-64.png
   DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/64x64/apps
   RENAME pentobi.png)
-install(FILES ${CMAKE_SOURCE_DIR}/src/pentobi/icons/pentobi.svg
+install(FILES ${CMAKE_SOURCE_DIR}/src/icon/pentobi.svg
   DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/application-x-blokus-sgf.png
   DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/mimetypes)
@@ -48,18 +47,22 @@
   DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/mimetypes)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.desktop
   DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pentobi.thumbnailer
-  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/thumbnailers)
 install(FILES pentobi-mime.xml
   DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/mime/packages)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.appdata.xml
   DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo)
 
+endif(PENTOBI_BUILD_GUI)
+
+if(PENTOBI_BUILD_THUMBNAILER)
+  configure_file(pentobi.thumbnailer.in pentobi.thumbnailer @ONLY)
+  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pentobi.thumbnailer
+    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/thumbnailers)
+endif()
+
 if(PENTOBI_BUILD_KDE_THUMBNAILER)
-  configure_file(io.sourceforge.pentobi.kde-thumbnailer.metainfo.xml.in
-    io.sourceforge.pentobi.kde-thumbnailer.metainfo.xml @ONLY)
-  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.kde-thumbnailer.metainfo.xml
+  configure_file(io.sourceforge.pentobi.kde_thumbnailer.metainfo.xml.in
+    io.sourceforge.pentobi.kde_thumbnailer.metainfo.xml @ONLY)
+  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.kde_thumbnailer.metainfo.xml
     DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo)
 endif()
-
-endif(PENTOBI_BUILD_GUI AND NOT WIN32)

=== src/learn_tool/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+find_package(Threads)
+
 add_executable(learn-tool Main.cpp)
 
 target_link_libraries(learn-tool

=== src/twogtp/CMakeLists.txt ===
find_package(Threads)

add_executable(twogtp
  Analyze.h
  Analyze.cpp
  FdStream.h
  FdStream.cpp
  GtpConnection.h
  GtpConnection.cpp
  Main.cpp
  Output.h
  Output.cpp
  OutputTree.h
  OutputTree.cpp
  TwoGtp.h
  TwoGtp.cpp
)

target_link_libraries(twogtp
    pentobi_base
    Threads::Threads
    )

=== src/unittest/libboardgame_mcts/CMakeLists.txt ===
add_executable(unittest_libboardgame_mcts
  NodeTest.cpp
)

target_link_libraries(unittest_libboardgame_mcts
    boardgame_test_main
    boardgame_mcts
    )

add_test(libboardgame_mcts unittest_libboardgame_mcts)

=== src/unittest/libpentobi_base/CMakeLists.txt ===
add_executable(unittest_libpentobi_base
  BoardConstTest.cpp
  BoardTest.cpp
  BoardUpdaterTest.cpp
  GameTest.cpp
  PentobiTreeTest.cpp
  PentobiSgfUtilTest.cpp
)

target_link_libraries(unittest_libpentobi_base
    boardgame_test_main
    pentobi_base
    )

add_test(libpentobi_base unittest_libpentobi_base)

=== src/unittest/libpentobi_mcts/CMakeLists.txt ===
add_executable(unittest_libpentobi_mcts
  SearchTest.cpp
)

target_link_libraries(unittest_libpentobi_mcts
    boardgame_test_main
    pentobi_mcts
    )

add_test(libpentobi_mcts unittest_libpentobi_mcts)

=== debian/changelog ===
pentobi (16.2-1ubuntu0.1) disco; urgency=medium

  * Disabled QtQuickCompiler to avoid the need for recompilation
    for different versions of Qt (LP: #1824560).

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Tue, 23 Apr 2019 18:48:36 +0300

pentobi (16.2-1) unstable; urgency=medium

  * New upstream release.
  * This version makes Qt WebView dependency optional.
    - libqt5webview5-dev and qml-module-qtwebview restricted to architectures
      for which they are available.
    - On other architectures, a browser is used to show the help.
      There is no virtual package that guarantees a graphical browser,
      but Recommends: www-browser may be good enough.
  * d/pentobi.install: Added back usr/share/help.
  * Bump Standards-Version to 4.3.0. No changes needed.
  * Change to compat 12 by Build-Depends: debhelper-compat.
  * d/copyright: Update years.
  * d/copyright, d/watch: Change http to https.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Thu, 17 Jan 2019 16:42:18 +0200

pentobi (16.1-1) unstable; urgency=medium

  * New upstream release.
  * Declare compliance with Policy 4.2.1.
    - Do not rename NEWS to changelog; that has been deprecated.
  * Add new Build-Depends.
  * Add Depends on required qml-module-* packages.
  * Export QT_SELECT to avoid "could not find a Qt installation of ''".
  * The help files and game resources are now bundled into the executable.
    - d/pentobi.install: Removed usr/share/games and usr/share/help.
    - d/pentobi.doc-base.*: Removed.
  * d/pentobi-kde-thumbnailer.install: Update metainfo filename.
  * Re-add "Enhances: konqueror" for -kde-thumbnailer because that has
    become true again.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Fri, 23 Nov 2018 12:48:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,38 @@
 Source: pentobi
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Dean Evans <dean@codemonkies.net>,
            Juhani Numminen <juhaninumminen0@gmail.com>
 Build-Depends: cmake,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                extra-cmake-modules,
                libkf5kio-dev,
                libqt5svg5-dev,
+               libqt5webview5-dev [amd64 arm64 armhf i386 mipsel],
+               qtdeclarative5-dev,
+               qtquickcontrols2-5-dev,
                qttools5-dev,
                qttools5-dev-tools
 Rules-Requires-Root: no
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: https://pentobi.sourceforge.io
 Vcs-Git: https://salsa.debian.org/games-team/pentobi.git
 Vcs-Browser: https://salsa.debian.org/games-team/pentobi
 
 Package: pentobi
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: qml-module-qt-labs-folderlistmodel,
+         qml-module-qt-labs-settings,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         qml-module-qtquick-window2,
+         qml-module-qtquick2,
+         qml-module-qtwebview [amd64 arm64 armhf i386 mipsel],
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: www-browser [!amd64 !arm64 !armhf !i386 !mipsel]
 Suggests: pentobi-kde-thumbnailer
 Description: clone of the strategy board game Blokus
  Pentobi is a strategy board game played on a square grid board using playing
@@ -37,7 +50,7 @@
 Multi-Arch: same
 Section: kde
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Enhances: dolphin
+Enhances: dolphin, konqueror
 Description: clone of the strategy board game Blokus - KDE thumbnailer
  Pentobi is a strategy board game played on a square grid board using playing
  pieces in the shapes of polyominoes, similar to Tetris pieces.  The aim of the
